<?php

namespace Article\Src;

use Dever;

class Api
{
    # 获取栏目
    public function cate()
    {
        $data['cate'] = Dever::db('article/cate')->getAll();

        return $data;
    }

    # 获取栏目下的文章列表
    public function getList()
    {
        $where['cate_id'] = Dever::input('cate');
        if (!$where['cate_id']) {
            $cate = $this->cate();
            $where['cate_id'] = $cate[0];
        }
        $info = Dever::db('article/info')->getAll($where);

        $data['info'] = array();
        if ($info) {
            foreach ($info as $k => $v) {
                $v = Dever::load('article/lib/article')->get($v);
                if ($v['pic_cover']) {
                    $v['content_pic'] = explode(',', $v['pic_cover']);
                }

                $data['info'][] = array
                (
                    'id' => $v['id'],
                    'title' => $v['name'],
                    'author' => $v['author']['name'],
                    'createTime' => Dever::mdate($v['cdate']),
                    'imgs' => $v['content_pic'],
                    'views' => $v['num_view'],
                );
            }
        }

        return $data;
    }

    # 获取文章详情
    public function getInfo()
    {
        $id = Dever::input('id');
        $data = Dever::load('article/lib/article')->get($id);

        if ($data) {
            Dever::db('article/info')->addView(array('where_id' => $id));
        }
        return $data;
    }
}